<?php

/******************************************************************************
*
*  File:  mod_message.php
*  ----------------------
*
*  Purpose:   Editing of two ticker message lines for members and
*             guests of a forum.
*
*  Usage:     This script is called by a link at the page footer.
*
*  Written:   2007-03-15
*             2007-10-01 V1.1 increase of message length from 255 to 510 char
*
*  Copyright: (C) 2007 Ron
*
*******************************************************************************/

define('IN_PHPBB', 1);

//
// Load default header
//
$phpbb_root_path = "./";
include($phpbb_root_path . 'extension.inc');
include($phpbb_root_path . 'common.'.$phpEx);

//
// Read some vars
//
$confirm = isset($HTTP_POST_VARS['confirm']) ? true : false;
$cancel = isset($HTTP_POST_VARS['cancel']) ? true : false;

//
// Read session
//
if (!empty($HTTP_POST_VARS['sid']) || !empty($HTTP_GET_VARS['sid'])) {
	$sid = (!empty($HTTP_POST_VARS['sid'])) ? $HTTP_POST_VARS['sid'] : $HTTP_GET_VARS['sid'];
}
else {
	$sid = '';
}
//
// Read user data
//
$userdata = session_pagestart($user_ip, PAGE_POSTING);
init_userprefs($userdata);

//
// If user is not logged in then return to index
//
if ( !$userdata['session_logged_in'] ) {
   redirect(append_sid("index.$phpEx", true));
}

//
// Session id check
//
if ($sid == '' || $sid != $userdata['session_id'])
{
	message_die(GENERAL_ERROR, 'Invalid_session');
}

//
// Only moderators (when allowed) an administratos can continue.
//
if (!(MODERATOR_EDIT && ($userdata['user_level'] == MOD)) &&
     ($userdata['user_level'] != ADMIN)) {
	message_die(GENERAL_MESSAGE, $lang['No_Privilege']);
}

//
// Was cancel pressed? If so then redirect to forum index
//
if ($cancel)
{
	redirect(append_sid("index.$phpEx", true));
}

//
// Initial the messages
//
$member_news = "";
$guests_news = "";


//
// Was confirm pressed? If so then write into database
//

if ($confirm) {

   if (isset($HTTP_POST_VARS['member_news'])) $member_news = $HTTP_POST_VARS['member_news'];
   if (isset($HTTP_POST_VARS['guests_news'])) $guests_news = $HTTP_POST_VARS['guests_news'];

   $member_news = strip_tags($member_news);
   $guests_news = strip_tags($guests_news);

   $member_news_1 = substr ($member_news, 0, 255);
   $member_news_2 = substr ($member_news, 255, 255);

   $guests_news_1 = substr ($guests_news, 0, 255);
   $guests_news_2 = substr ($guests_news, 255, 255);

   $sql = "INSERT " . CONFIG_TABLE . " (config_name, config_value)
          VALUES ('message_members', '$member_news_1')
          ON DUPLICATE KEY UPDATE config_value = '$member_news_1'";
   if (!($result = $db->sql_query($sql))) {
  	   message_die(GENERAL_ERROR, 'Error writing config table', '', __LINE__, __FILE__, $sql);
   }
   $sql = "INSERT " . CONFIG_TABLE . " (config_name, config_value)
          VALUES ('message_members2', '$member_news_2')
          ON DUPLICATE KEY UPDATE config_value = '$member_news_2'";
   if (!($result = $db->sql_query($sql))) {
  	   message_die(GENERAL_ERROR, 'Error writing config table', '', __LINE__, __FILE__, $sql);
   }
   $sql = "INSERT " . CONFIG_TABLE . " (config_name, config_value)
          VALUES ('message_guests', '$guests_news_1')
          ON DUPLICATE KEY UPDATE config_value = '$guests_news_1'";
   if (!($result = $db->sql_query($sql))) {
  	   message_die(GENERAL_ERROR, 'Error writing config table', '', __LINE__, __FILE__, $sql);
   }
   $sql = "INSERT " . CONFIG_TABLE . " (config_name, config_value)
          VALUES ('message_guests2', '$guests_news_2')
          ON DUPLICATE KEY UPDATE config_value = '$guests_news_2'";
   if (!($result = $db->sql_query($sql))) {
  	   message_die(GENERAL_ERROR, 'Error writing config table', '', __LINE__, __FILE__, $sql);
   }

   redirect(append_sid("index.$phpEx", true));
}

//
// Start dialog
//

include($phpbb_root_path . 'includes/page_header.'.$phpEx);

//
// Read database
//

$sql = "SELECT config_value FROM " . CONFIG_TABLE . " WHERE config_name = 'message_members'";
if (!($result = $db->sql_query($sql))) {
   message_die(GENERAL_ERROR, 'Error reading config table', '', __LINE__, __FILE__, $sql);
}
else {
   $zeile = $db->sql_fetchrow($result);
   $member_news = $zeile['config_value'];
}
$sql = "SELECT config_value FROM " . CONFIG_TABLE . " WHERE config_name = 'message_members2'";
if (!($result = $db->sql_query($sql))) {
   message_die(GENERAL_ERROR, 'Error reading config table', '', __LINE__, __FILE__, $sql);
}
else {
   $zeile = $db->sql_fetchrow($result);
   $member_news .= $zeile['config_value'];
}
$sql = "SELECT config_value FROM " . CONFIG_TABLE . " WHERE config_name = 'message_guests'";
if (!($result = $db->sql_query($sql))) {
   message_die(GENERAL_ERROR, 'Error reading config table', '', __LINE__, __FILE__, $sql);
}
else {
   $zeile = $db->sql_fetchrow($result);
   $guests_news = $zeile['config_value'];
}
$sql = "SELECT config_value FROM " . CONFIG_TABLE . " WHERE config_name = 'message_guests2'";
if (!($result = $db->sql_query($sql))) {
   message_die(GENERAL_ERROR, 'Error reading config table', '', __LINE__, __FILE__, $sql);
}
else {
   $zeile = $db->sql_fetchrow($result);
   $guests_news .= $zeile['config_value'];
}


$hidden_fields = '<input type="hidden" name="sid" value="' . $userdata['session_id'] . '" />';
$input_member_news = "<input type='text' size='70' maxlength='510' name='member_news' value='$member_news'>  ";
$input_guests_news = "<input type='text' size='70' maxlength='510' name='guests_news' value='$guests_news'>  ";

//
// Set template files
//
$template->set_filenames(array(
      'mod_message' => 'mod_message.tpl')
);

$template->assign_vars(array(
		'MESSAGE_TITLE' => $lang['Message_Title'],
		'L_INFOTEXT' => $lang['Message_Info'],
		'L_TAG1' => $lang['Message_Tag1'],
		'L_TAG2' => $lang['Message_Tag2'],
		'L_TAG3' => $lang['Message_Tag3'],
		'L_TAG1INFO' => $lang['Message_Tag1_Info'],
		'L_TAG2INFO' => $lang['Message_Tag2_Info'],
		'L_TAG3INFO' => $lang['Message_Tag3_Info'],
		'L_MESSAGE_TITLE' => $lang['Message_Title'],
		'L_MESSAGE_CONFIRM' => $lang['Message_Confirm'],
		'L_MESSAGE_MEMBER' => $lang['Message_Member'],
		'L_MESSAGE_GUESTS' => $lang['Message_Guests'],
		'L_YES' => $lang['Yes'],
		'L_NO' => $lang['No'],
        'S_MEMBER_NEWS' => $input_member_news,
        'S_GUESTS_NEWS' => $input_guests_news,
		'S_MOD_MESSAGE_ACTION' => append_sid("mod_message.$phpEx"),
		'S_HIDDEN_FIELDS' => $hidden_fields)
);

$template->pparse('mod_message');

include($phpbb_root_path . 'includes/page_tail.'.$phpEx);

?>
